net.sf.jasperreports.engine

## Class JRException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.sf.jasperreports.engine.JRException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    DataSnapshotException, JRExpressionEvalException, JRInteractiveException, JRScriptletException, JRValidationException

      public class JRException
      extends java.lang.Exception

  General purpose JasperReports exception.
  Version:
    $Id: JRException.java 5928 2013-02-28 10:13:04Z narcism $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ERROR_MESSAGES_BUNDLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRException(java.lang.String message)`
    `JRException(java.lang.String messageKey, java.lang.Object[] args, JasperReportsContext jasperReportsContext, java.util.Locale locale)`
    `JRException(java.lang.String message, java.lang.Throwable t)`
    `JRException(java.lang.Throwable t)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getArgs()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getMessageKey()`
    `boolean` | `hasLocalizedMessage()`
    `protected java.lang.String` | `resolveMessage(java.lang.String messageKey, java.lang.Object[] args, JasperReportsContext jasperReportsContext, java.util.Locale locale)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_MESSAGES_BUNDLE

          public static final java.lang.String ERROR_MESSAGES_BUNDLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRException

          public JRException(java.lang.String message)

    - #### JRException

          public JRException(java.lang.Throwable t)

    - #### JRException

          public JRException(java.lang.String message,
                     java.lang.Throwable t)

    - #### JRException

          public JRException(java.lang.String messageKey,
                     java.lang.Object[] args,
                     JasperReportsContext jasperReportsContext,
                     java.util.Locale locale)

  - ### Method Detail

    - #### getMessageKey

          public java.lang.String getMessageKey()

    - #### getArgs

          public java.lang.Object[] getArgs()

    - #### hasLocalizedMessage

          public boolean hasLocalizedMessage()

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### resolveMessage

          protected java.lang.String resolveMessage(java.lang.String messageKey,
                                        java.lang.Object[] args,
                                        JasperReportsContext jasperReportsContext,
                                        java.util.Locale locale)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com